/*
The MIT License

Copyright 2018 Web Folders (Pty) Ltd.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
/* 
    Created on : Apr 2, 2018, 3:44:41 PM
    Author     : Web Folders (Pty) Ltd
*/

/* ================================================== *
 * General                                            *
 * -------------------------------------------------- */
.navbar
{
    margin-left:                    0px;
    margin-right:                   0px;
    margin-top:                     0px;
    width:                          100%;
}

.navbar a
{
    font-size:                      14px;
    font-weight:                    300;
    font-family:                    "Montserrat", sans-serif;
    -webkit-transition:             all 0.2s ease;
    -moz-transition:                all 0.2s ease;
    -ms-transition:                 all 0.2s ease;
    -o-transition:                  all 0.2s ease;
    transition:                     all 0.2s ease;
    padding:                        10px;
    -webkit-border-radius:          2px;
    -moz-border-radius:             2px;
    border-radius:                  2px;
    -webkit-user-select:            none;
    -moz-user-select:               none;
    -ms-user-select:                none;
    /*user-select:                    none;*/
    cursor:                         pointer;
    margin:                         4px;
}

navbar a:hover, navbar a:active, navbar a
{
    text-decoration:                none;
    color:                          rgba(0,0,0,0.6);
}

navbar a:hover
{
    background:                     rgba(0,0,0,0.06);
}

navbar a:active
{
    color:                          rgba(0,0,0,0.9);
    background:                     rgba(0,0,0,0.3);
}

navbar a
{
    color:                          #a67894;
    font-weight:                    500;
    font-size:                      14px;
    float:                          right;
}

/*Shadow*/
navbar .paper-shadow-bottom-z-2 
{
    box-shadow:                     0 2px 5px 0 rgba(0, 0, 0, 0.2);
}

/*Setting Up Navbar Layouts*/
navbar .navbar-inverse
{
    color:                          #000;
    /*background: #fff;*/
    border:none;
    min-height: 50px;
    max-height: 50px;
    height: 50px;
}

navbar .container-fluid
{
    position: absolute;
    top:0; bottom: 0;
    right:0;
    left:0;
}

navbar .navbar-body
{
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-between;
    height: 100%;
    position: relative;
}

navbar div.navbar-end
{
    align-items: flex-start;
    -webkit-align-items: flex-start;
}

navbar div.navbar-start,
navbar div.navbar-end
{
    flex: 1;
    -webkit-flex: 1;
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
    align-items: center;
    -webkit-align-items: center;
    justify-content: space-around;
}

navbar div.navbar-start .logo
{
    opacity: 0.6;
    width:30px;
}

/*Integrating Two Navbars Together*/
navbar .nav
{
    z-index: 2;
}

navbar .tabs
{
    margin-top: 50px;
    z-index: 1;
    position: relative;
}

navbar .tabs .navbar-body
{
    padding: 0;
    margin-bottom: 0;
}

/*Styling Search Textbox*/
navbar div.search
{
    background: rgba(0,0,0,0.3);
    flex: 3;
    -webkit-flex: 3;
    margin:6px;
    -webkit-border-radius:2px;
    -moz-border-radius:2px;
    border-radius:2px;
    cursor: pointer;
    text-align: center;
    position: relative;
    -webkit-transition: all 0.3s cubic-bezier(0.21, 0.61, 0.36, 1);
    -moz-transition: all 0.3s cubic-bezier(0.21, 0.61, 0.36, 1);
    -ms-transition: all 0.3s cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-transition: all 0.3s cubic-bezier(0.21, 0.61, 0.36, 1);
    transition: all 0.3s cubic-bezier(0.21, 0.61, 0.36, 1);
}

navbar div.search
{
    display: flex;
    display: -webkit-flex;
    flex-direction: row;
    justify-content: center;
    -webkit-justify-content: center;
    align-items: center;
    -webkit-align-items: center;
    height: 42px;
    padding: 0 9px;
    overflow-x: hidden;
}

navbar div.search.focused
{
    background: rgba(0, 0, 0, 0.05);
}

navbar div.search .search-textbox
{
    position: relative;
    width:60px;
    height: 100%;
    background: transparent;
    border: none;
    font-family: "Montserrat", sans-serif;
    font-size: 16px;
    text-align: start;
    color: rgba(0,0,0,1);
    outline: none;
    -webkit-transition: all 0.5s cubic-bezier(0.21, 0.61, 0.36, 1);
    -moz-transition: all 0.5s cubic-bezier(0.21, 0.61, 0.36, 1);
    -ms-transition: all 0.5s cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-transition: all 0.5s cubic-bezier(0.21, 0.61, 0.36, 1);
    transition: all 0.5s cubic-bezier(0.21, 0.61, 0.36, 1);
    cursor: pointer;
}

navbar div.search.focused .search-textbox
{
    width:100%;
    cursor: text;
}

navbar div.search:hover span
{
    -webkit-transform:          translateX(40%);
    -moz-transform:             translateX(40%);
    -ms-transform:              translateX(40%);
    -o-transform:               translateX(40%);
    transform:                  translateX(40%);
}

navbar .ico-btn
{
    position:                   relative;
    width:                      30px;
    height:                     30px;
    -webkit-border-radius:      50%;
    -moz-border-radius:         50%;
    border-radius:              50%;
    padding:                    5px;
}

navbar .ico-btn.search-btn, .ico-btn.clear-btn
{
    padding:                    3px;
    margin:                     3px;
    opacity:                    0;
    visibility:                 hidden;

}

navbar .ico-btn.clear-btn
{
    margin-right:               -30px;
    -webkit-animation:          0.3s SwiftSlideToRight cubic-bezier(0.21, 0.61, 0.36, 1) 0.2s;
    -o-animation:               0.3s SwiftSlideToRight cubic-bezier(0.21, 0.61, 0.36, 1) 0.2s;
    animation:                  0.3s SwiftSlideToRight cubic-bezier(0.21, 0.61, 0.36, 1) 0.2s;
    -webkit-animation-delay:    0.2s;
    -moz-animation-delay:       0.2s;
    -o-animation-delay:         0.2s;
    animation-delay:            0.2s;
}

navbar div.search.focused.not-null.multi-char .ico-btn.clear-btn
{
    margin-right:               0;
    opacity:                    1;
    visibility:                 visible;
    -webkit-animation:          0.3s SwiftSlide cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-animation:               0.3s SwiftSlide cubic-bezier(0.21, 0.61, 0.36, 1);
    animation:                  0.3s SwiftSlide cubic-bezier(0.21, 0.61, 0.36, 1);
    -webkit-animation-delay:    0.2s;
    -moz-animation-delay:       0.2s;
    -o-animation-delay:         0.2s;
    animation-delay:            0.2s;
}

navbar .ico-btn
{
    -webkit-transition:         all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -moz-transition:            all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -ms-transition:             all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-transition:              all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    transition:                 all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
}

navbar div.search.focused.not-null .ico-btn.search-btn
{
    visibility:                 visible;
    opacity:                    1;
    -webkit-transition-duration: 0.6s;
    -moz-transition-duration:   0.6s;
    -ms-transition-duration:    0.6s;
    -o-transition-duration:     0.6s;
    transition-duration:        0.6s;
}

/*Styling Tabs*/
navbar .tabs .navbar-body li.active a
{
    color:                      #333;
}

navbar .tabs .navbar-body li
{
    -webkit-transition:         all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -moz-transition:            all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -ms-transition:             all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-transition:              all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
    transition:                 all 0.2s cubic-bezier(0.21, 0.61, 0.36, 1);
}

navbar .tabs .navbar-body li:hover
{
    background:                 rgba(0,0,0,0.03);
}

navbar .tabs .navbar-body li:active
{
    background:                 rgba(0,0,0,0.05);
}

navbar .tabs .navbar-body li a:hover, .tabs .navbar-body li a:active
{
    background:                 rgba(0,0,0,0);
    color:                      #5bc0de;
}

/*Styling Tab Highlighter*/
navbar .tab-highlighter
{
    height:                     2px;
    width:                      50px;
    margin-top:                 -2px;
    background:                 #000;
    position:                   absolute;
    -webkit-transition:         all 0.6s cubic-bezier(0.21, 0.61, 0.36, 1);
    -moz-transition:            all 0.6s cubic-bezier(0.21, 0.61, 0.36, 1);
    -ms-transition:             all 0.6s cubic-bezier(0.21, 0.61, 0.36, 1);
    -o-transition:              all 0.6s cubic-bezier(0.21, 0.61, 0.36, 1);
    transition:                 all 0.6s cubic-bezier(0.21, 0.61, 0.36, 1);
}

/*Keyframes*/
@keyframes SwiftSlide 
{
    100%
    {
        margin-right:           0;
        opacity:                1;
    }
}

@keyframes SwiftSlideToRight 
{
    100%
    {
        opacity:                0;
        margin-right:           -30px;
    }
}

.navbar-nav .nav-tabs
{
    margin-bottom:              0px;
}

.navbar-nav .nav-item a
{
    /*color:                      rgb(166, 120, 148);*/
    color:                      #7e536d;
    font-weight:                400;
    font-size:                  13px;
    padding:                    10px;
    padding-left:               20px;
    padding-right:              20px;
}

.navbar-nav .nav-item a:active
{
    color:                      rgb(166, 120, 148);
}

.navbar-nav .nav-item i
{
    width:                      25px;
    color:                      rgba(0, 0, 0, 0.4);
}

.nav-item:first-of-type
{
    margin-left:                45px;
}

.navbar-nav .navbar-text
{
    color:                      rgb(166, 120, 148);
    margin-right:               20px;
    padding-bottom:             0px;
    margin-bottom:              0px;
}

.nav
{
    /*background-color:           rgba(255, 255, 255, 0.4);*/
}

.nav-tabs .nav-item 
{
    background-color:           rgba(166, 120, 148, 0);
    border-radius:              3%;
    /*border-bottom:              1px solid rgba(0, 0, 0, 0.1);*/
}

.nav-tabs .nav-item:hover
{
    /*padding:                    10px;*/
    background-color:           rgba(166, 120, 148, 0.15);
    color:                      #fff;
    border-bottom-right-radius: 0%;
    border-bottom-left-radius:  0%;
    /*border-bottom:              1px solid rgba(166, 120, 148, 1);*/
}

.nav-tabs .nav-item:active
{
    /*padding:                    10px;*/
    background-color:           rgba(166, 120, 148, 0.2);
    color:                      #fff;
    border-bottom-right-radius: 0%;
    border-bottom-left-radius:  0%;
    /*border-bottom:              1px solid rgba(166, 120, 148, 1);*/
}

.nav-item:hover
{
    /*text-decoration:            underline;*/
}

.dropdown-menu
{
    background-color:           rgba(255, 255, 255, 0.9);
    box-shadow:                 0px 1px 2px rgba(166, 120, 148, 0.2);
    /*width:                      250px;*/
    /*padding:                    15px 45px 30px 15px;*/
}

.dropdown-item .nav-item a
{
    color:                      #222222;
    padding:                    10px 30px 10px 30px;
}

.dropdown-item .nav-item
{
    margin-bottom:              10px;
    background-color:           inherit;
}

.dropdown-item .nav-item
{
    background-color:           rgba(166, 120, 148, 0.5);
}
